Bug 496721 - Stuck application can "absorb" all mouse clicks and keypresses, killing it causes X to restart
Stuck application can "absorb" all mouse clicks and keypresses, killing it ca...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 16:07 EDT by James
Modified: 2014-06-09 14:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant Xorg.0.log (32.35 KB, text/plain)
2009-04-20 16:07 EDT, James
no flags Details

  None (edit)
Description James 2009-04-20 16:07:49 EDT
Created attachment 340425 [details]
Relevant Xorg.0.log

Description of problem:
Recently I encountered Bug 496367. This causes Pidgin to spin at 100% CPU load and otherwise be un-responsive to mouse and keyboard events. Before it got caught in this loop, I opened a drop-down menu from its window. When Pidgin became unresponsive, so did the rest of the desktop. The screen was still updating and the cursor still moved, but clicks and keypresses did not register.

So I switched to a text-console and killed Pidgin. This caused X to restart.

Compiz was enabled at the time.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.6.1-6.fc11.x86_64
compiz-0.7.8-18.fc11.x86_64

How reproducible:
Always (following the description above).

Steps to Reproduce:
1. Provoke a situation where a misbehaving application has monopolised mouse clicks and keypresses.
2. Switch VT to a text console.
3. Kill the application.
  
Actual results:
Non-responsive desktop.
X dies.

Expected results:
Misbehaving applications unable to lock out the desktop in this manner.
X robust to errant applications being killed.

Additional info:
I've attached an Xorg.0.log, but I don't think it contains anything relevant.
There is no xorg.conf.
Comment 1 Matěj Cepl 2009-04-21 08:15:20 EDT
I don't know, how much it helps, but if you are able to reproduce it, could you try to run pidgin with --debug parameter and then send as the stdout/stderr from that? It might tell us a little bit more what was going on while pidgin was falling crazy.
Comment 2 Peter Hutterer 2009-04-21 20:55:55 EDT
Changing component back to server - the mouse driver isn't used in this setup.

Is this log from the crash? Usually there's some backtrace in there when it crashes. Next time this happens, please check the Xorg.log.0.old for a backtrace too.

(In reply to comment #0)
> Expected results:
> Misbehaving applications unable to lock out the desktop in this manner.

that can't be fixed in the server. the app uses a grab for the popup menu, and grabs are to provide the application with exclusive access to the input events. if the app never releases said grab, then this needs to be fixed in the application.
nonetheless, the server crash shouldn't happen.
Comment 3 James 2009-04-22 04:21:25 EDT
(In reply to comment #2)
> Changing component back to server - the mouse driver isn't used in this setup.
> 
> Is this log from the crash? Usually there's some backtrace in there when it
> crashes. Next time this happens, please check the Xorg.log.0.old for a
> backtrace too.

The log I posted was actually a .old, but the attachment's description doesn't reflect this. I also scoured /var/log/messages and couldn't find anything of relevance. I'll have another go later and see if I can provoke it.

> that can't be fixed in the server. the app uses a grab for the popup menu, and
> grabs are to provide the application with exclusive access to the input events.
> if the app never releases said grab, then this needs to be fixed in the
> application.

OK, but is there any way more elegant than resorting to a VT switch or ssh and kill -9 to break a grab when an application goes off on one? (Some other apps I know can cause "momentary losses of usefulness" this way particularly when doing drag-and-drop.)
Comment 4 Peter Hutterer 2009-04-22 19:05:36 EDT
(In reply to comment #3)
> OK, but is there any way more elegant than resorting to a VT switch or ssh and
> kill -9 to break a grab when an application goes off on one?

Not really, tbh. there used to be a kill grab hotkey hardcoded in X, but it was a security issue and removed for that reason.
Comment 5 Bug Zapper 2009-06-09 10:14:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:27:17 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Matěj Cepl 2010-02-26 07:25:29 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 8 Bug Zapper 2010-04-27 09:49:34 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 08:07:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.